libzypp: zyppng::sat::namespaces::ModaliasNamespaceProvider Class Reference

libzypp 17.38.11

zyppng::sat::namespaces::ModaliasNamespaceProvider Class Reference

Provider for NAMESPACE_MODALIAS. More...

`#include <zypp/ng/sat/namespaces/modalias.h>`

Inheritance diagram for zyppng::sat::namespaces::ModaliasNamespaceProvider:

## Public Types
using | ModaliasQuery = std::function<bool(const std::string &)>
| Callback to perform the actual modalias query.

## Public Member Functions
| ModaliasNamespaceProvider ()=default
bool | isSatisfied (detail::IdType value) const override
| Check if a specific value satisfies this namespace condition.
void | setQueryCallback (ModaliasQuery query)
Public Member Functions inherited from zyppng::sat::NamespaceProvider
virtual | ~NamespaceProvider ()=default
virtual void | checkDirty (Pool &)
| checkDirty
virtual void | prepare (Pool &)
| prepare
virtual void | onReset (Pool &)
virtual void | attach (Pool &pool)

## Private Attributes
ModaliasQuery | _query

## Additional Inherited Members
Protected Member Functions inherited from zyppng::sat::NamespaceProvider
void | notifyDirty (PoolInvalidation invalidationLevel, std::initializer_list< std::string_view > reasons)
| Notify the attached registry/pool that data has changed.
Protected Attributes inherited from zyppng::sat::NamespaceProvider
Pool * | _pool = nullptr

## Detailed Description

Provider for NAMESPACE_MODALIAS.

Checks against system modaliases (e.g., PCI/USB IDs).

Definition at line 27 of file modalias.h.

## Member Typedef Documentation

## ◆ ModaliasQuery

using zyppng::sat::namespaces::ModaliasNamespaceProvider::ModaliasQuery = std::function<bool(const std::string &)>

Callback to perform the actual modalias query.

Decouples the provider from the concrete hardware detection backend.

Definition at line 36 of file modalias.h.

## Constructor & Destructor Documentation

## ◆ ModaliasNamespaceProvider()

zyppng::sat::namespaces::ModaliasNamespaceProvider::ModaliasNamespaceProvider | ( |  | ) |
| default

## Member Function Documentation

## ◆ isSatisfied()

bool zyppng::sat::namespaces::ModaliasNamespaceProvider::isSatisfied | ( | detail::IdType | value | ) | const
| overridevirtual

Check if a specific value satisfies this namespace condition.

Parameters

  value | The id value to check (e.g., "en_US" for a locale namespace).

Returns
  True if the condition is met, false otherwise.

This method is typically called via the libsolv namespace callback during dependency resolution.

Reimplemented from zyppng::sat::NamespaceProvider.

Definition at line 16 of file modalias.cc.

## ◆ setQueryCallback()

void zyppng::sat::namespaces::ModaliasNamespaceProvider::setQueryCallback | ( | ModaliasQuery | query | ) |
| inline

Definition at line 37 of file modalias.h.

## Member Data Documentation

## ◆ _query

ModaliasQuery zyppng::sat::namespaces::ModaliasNamespaceProvider::_query
| private

Definition at line 40 of file modalias.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/namespaces/modalias.h
- zypp/ng/sat/namespaces/modalias.cc